cmake_minimum_required(VERSION 3.9)
project(anitomy)
add_library(anitomy SHARED
	anitomy/anitomy.cpp
	anitomy/element.cpp
	anitomy/keyword.cpp
	anitomy/parser.cpp
	anitomy/parser_helper.cpp
	anitomy/parser_number.cpp
	anitomy/string.cpp
	anitomy/token.cpp
	anitomy/tokenizer.cpp
)
set_target_properties(anitomy PROPERTIES
    PUBLIC_HEADER anitomy/anitomy.h CXX_STANDARD 17)
target_include_directories(anitomy PRIVATE src)
